package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpOrderPayAndRefundRecordsPageVO {
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("采购订单标题")
   private String orderTitle;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("待支付/退款金额")
   private Long waitAmount;
   @ApiModelProperty("已支付/退款金额")
   private Long amount;
   @ApiModelProperty("类型(1付款，2退款)")
   private Integer payRefundType;
   @ApiModelProperty("订单创建时间")
   private LocalDateTime crtime;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public String getOrderTitle() {
      return this.orderTitle;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Long getWaitAmount() {
      return this.waitAmount;
   }

   public Long getAmount() {
      return this.amount;
   }

   public Integer getPayRefundType() {
      return this.payRefundType;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public DrpOrderPayAndRefundRecordsPageVO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpOrderPayAndRefundRecordsPageVO setOrderTitle(final String orderTitle) {
      this.orderTitle = orderTitle;
      return this;
   }

   public DrpOrderPayAndRefundRecordsPageVO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpOrderPayAndRefundRecordsPageVO setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
      return this;
   }

   public DrpOrderPayAndRefundRecordsPageVO setWaitAmount(final Long waitAmount) {
      this.waitAmount = waitAmount;
      return this;
   }

   public DrpOrderPayAndRefundRecordsPageVO setAmount(final Long amount) {
      this.amount = amount;
      return this;
   }

   public DrpOrderPayAndRefundRecordsPageVO setPayRefundType(final Integer payRefundType) {
      this.payRefundType = payRefundType;
      return this;
   }

   public DrpOrderPayAndRefundRecordsPageVO setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }


   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpOrderPayAndRefundRecordsPageVO(orderGoodsId=" + var10000 + ", orderTitle=" + this.getOrderTitle() + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", waitAmount=" + this.getWaitAmount() + ", amount=" + this.getAmount() + ", payRefundType=" + this.getPayRefundType() + ", crtime=" + String.valueOf(this.getCrtime()) + ")";
   }
}
